| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WellTie::SeismicExtractor Class Reference
WellAttrib

`#include <welltieextractdata.h>`

Inheritance diagram for WellTie::SeismicExtractor:
[legend]

## Public Member Functions
| SeismicExtractor (const IOObj &)
| ~SeismicExtractor ()
uiString | errMsg () const
int | nextStep () override
od_int64 | nrDone () const override
const SeisTrc & | result () const
void | setBIDValues (const TypeSet< BinID > &)
void | setInterval (const StepInterval< float > &)
void | setLine (const BufferString &nm)
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
bool | collectTracesAroundPath ()
| mOD_DisableCopy (SeismicExtractor)
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
const char * | attrnm_
TypeSet< BinID > | bidset_
uiString | errmsg_
StepInterval< float > | extrintv_
BufferString | linenm_
int | nrdone_ = 0
SeisTrc * | outtrc_ = nullptr
int | radius_ = 1
SeisTrcReader * | rdr_
TrcKeyZSampling * | tkzs_
SeisTrcBuf * | trcbuf_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ SeismicExtractor()

WellTie::SeismicExtractor::SeismicExtractor | ( | const IOObj & |  | ) |

## ◆ ~SeismicExtractor()

WellTie::SeismicExtractor::~SeismicExtractor | ( |  | ) |

## Member Function Documentation

## ◆ collectTracesAroundPath()

bool WellTie::SeismicExtractor::collectTracesAroundPath | ( |  | ) |
| protected

## ◆ errMsg()

uiString WellTie::SeismicExtractor::errMsg | ( |  | ) | const
| inline

## ◆ mOD_DisableCopy()

WellTie::SeismicExtractor::mOD_DisableCopy | ( | SeismicExtractor |  | ) |
| protected

## ◆ nextStep()

int WellTie::SeismicExtractor::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 WellTie::SeismicExtractor::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ result()

const SeisTrc & WellTie::SeismicExtractor::result | ( |  | ) | const
| inline

## ◆ setBIDValues()

void WellTie::SeismicExtractor::setBIDValues | ( | const TypeSet< BinID > & |  | ) |

## ◆ setInterval()

void WellTie::SeismicExtractor::setInterval | ( | const StepInterval< float > & |  | ) |

## ◆ setLine()

void WellTie::SeismicExtractor::setLine | ( | const BufferString & | nm | ) |
| inline

## ◆ totalNr()

od_int64 WellTie::SeismicExtractor::totalNr | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString WellTie::SeismicExtractor::uiMessage | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString WellTie::SeismicExtractor::uiNrDoneText | ( |  | ) | const
| inline override virtual

Reimplemented from Task.

## Member Data Documentation

## ◆ attrnm_

const char* WellTie::SeismicExtractor::attrnm_
| protected

## ◆ bidset_

TypeSet<BinID> WellTie::SeismicExtractor::bidset_
| protected

## ◆ errmsg_

uiString WellTie::SeismicExtractor::errmsg_
| protected

## ◆ extrintv_

StepInterval<float> WellTie::SeismicExtractor::extrintv_
| protected

## ◆ linenm_

BufferString WellTie::SeismicExtractor::linenm_
| protected

## ◆ nrdone_

int WellTie::SeismicExtractor::nrdone_ = 0
| protected

## ◆ outtrc_

SeisTrc* WellTie::SeismicExtractor::outtrc_ = nullptr
| protected

## ◆ radius_

int WellTie::SeismicExtractor::radius_ = 1
| protected

## ◆ rdr_

SeisTrcReader* WellTie::SeismicExtractor::rdr_
| protected

## ◆ tkzs_

TrcKeyZSampling* WellTie::SeismicExtractor::tkzs_
| protected

## ◆ trcbuf_

SeisTrcBuf* WellTie::SeismicExtractor::trcbuf_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025